"""
vault-client
=====
vault-client - Vault is used to protect secrets in a secure way using a golang restful web api.  This client is a wrapp
er to enable authentication and restful interactions with the vault rest endpoint. https://github.com/hashicorp/vault
"""
from setuptools import setup

__version__ = '1.0.0'

dependencies = [
    "ezlogger>=0.0.1",
    "requests>=2.5.1",
]

setup(
    name='vault-client',
    version=__version__,
    author='Gary Wright',
    author_email='zerosignal0@msn.com',
    url='https://github.com/zerosignal0/vault-client/blob/master/README.md',
    description='Vault is used to protect secrets in a secure way using a golang restful web api.  This client is a wrapper to enable authentication and restful interactions with the vault rest endpoint. https://github.com/hashicorp/vault',
    packages=['vault_client'],
    zip_safe=False,
    install_requires=dependencies,
    license='Apache2',
    include_package_data=True,
    classifiers=[
        'Intended Audience :: Developers',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python',
    ],
)